package com.imdroid.secapi.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name="RtcmClient",url = "http://localhost:9904/gnss")
public interface RtcmClient {
    @PostMapping("/config")
    HttpResp config(@RequestParam(name = "deviceId") String deviceId, @RequestParam(name = "configuration") String configData);

    @PostMapping("/config_by_udp")
    HttpResp configByUdp(@RequestParam(name = "deviceId") String deviceId, @RequestParam(name = "configuration") String configData);
    @PostMapping(value = "/config_device")
    public HttpResp configDevice(@RequestParam(name = "deviceId") String deviceId, @RequestParam(name = "configuration") String configData);
    @GetMapping(value = "/get_device_info")
    public HttpResp getDeviceInfo(@RequestParam(name = "deviceId") String deviceId, @RequestParam(name = "cmd") String cmd);
    @PostMapping("/device_param_changed")
    HttpResp deviceParamChanged(@RequestParam(name = "deviceId") String deviceId,@RequestParam(name = "oldParentId") String oldParentId);

    @PostMapping("/group_param_changed")
    HttpResp groupParamChanged();

    @PostMapping("/warning_param_changed")
    HttpResp warningParamChanged();
}
